PHP 手册
后退 |  | 前进

# DOMAttr->__construct()

(no version information, might be only in CVS)

DOMAttr->__construct() -- Creates a new DOMAttr object

## 说明

class DOMAttr {
__construct ( string name [, string value] )
}

Creates a new DOMAttr object. This object is read only. It may be appended to a document, but additional nodes may not be appended to this node until the node is associated with a document. To create a writeable node, use DOMDocument->createAttribute().

## 参数

name

  The tag name of the attribute.

value

  The value of the attribute.

## 范例

例子 1. Creating a new DOMAttr

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->appendChild(new DOMElement('root')); $attr = $element->setAttributeNode(new DOMAttr('attr', 'attrvalue')); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root attr="attrvalue" /> */ ?>`

## 参见

DOMDocument->createAttribute()

后退 | 起点 | 前进
DOM Functions | 上一级 | DOMAttr->isId()